Skip to main content
GET
List payment methods

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Path Parameters

customer_id
string
required

Query Parameters

cursor
string | null

The cursor indicating a unique set of results - this should be auto generated and you get it from the next and previous fields of the response

Example:

"V2VsbCBhcmV1IGN1cmlvdxM="

limit
integer | null

The number of results to return - defaults to 10

Example:

10

order
string | null
default:-created_at
Example:

"-created_at"

id
string<uuid> | null
id__in
string | null
id__isnull
boolean | null
connector_id
string<uuid> | null
connector_id__in
string | null
connector_id__isnull
boolean | null
connector_name
string | null
connector_name__ilike
string | null
connector_name__like
string | null
connector_name__in
string | null
connector_name__isnull
boolean | null
connector_name__neq
string | null
external_id
string | null
external_id__ilike
string | null
external_id__like
string | null
external_id__in
string | null
external_id__isnull
boolean | null
status
string | null
status__ilike
string | null
status__like
string | null
status__in
string | null
status__isnull
boolean | null
country
string | null
country__ilike
string | null
country__like
string | null
country__in
string | null
country__isnull
boolean | null
is_default
boolean | null
is_default__isnull
boolean | null
type
string | null
type__ilike
string | null
type__like
string | null
type__in
string | null
type__isnull
boolean | null

Response

Successful Response

results
CustomerPaymentMethodsResponseSchema · object[]
required

The results for the current page

next
string | null

The cursor for the next page of results

Example:

"V2VsbCBhcmV1IGN1cmlvdxM="

previous
string | null

The cursor for the previous page of results

Example:

"GmBsbCBhcmV1IGN1cmlvdxM="

total_count
integer | null

The total count of rows